%global project doublecmd
%global svn_revision 5941
%global date 20150402

Name:           %{project}-qt
Summary:        Twin-panel (commander-style) file manager (Qt)
Version:        0.6.1
Release:        1.%{date}svn%{svn_revision}%{?dist}

URL:            http://%{project}.sf.net
# svn export -r %{svn_revision} svn://svn.code.sf.net/p/%{project}/code/trunk %{project}-r%{svn_revision}
# tar cf %{project}-r%{svn_revision}.tar.xz %{project}-r%{svn-revision}
Source0:        %{project}-r%{svn_revision}.tar.xz
License:        GPLv2+ and LGPLv2+ with exceptions

BuildRequires:  fpc >= 2.4.0 fpc-src lazarus >= 0.9.29
BuildRequires:  dbus-devel bzip2-devel xorg-x11-proto-devel xorg-x11-xtrans-devel
# FIXME qt5 not possible at the moment
BuildRequires:  qt4pas-devel

Provides:       %{project} = %{version}-%{release}
Conflicts:      %{project}-gtk
Requires:       %{project}-data
Suggests:       %{project}-plugins


%description
Double Commander is a cross platform open source file manager
with two panels side by side.
It is inspired by Total Commander and features some new ideas.

This program is linked against Qt.


%package -n %{project}-data
Summary:        Data files for %{project}
BuildArch:      noarch
Requires:       %{project} = %{version}-%{release}

%description -n %{project}-data
%{summary}.


%package -n %{project}-plugins
Summary:        Plugins for %{project}
Requires:       %{project} = %{version}-%{release}

%description -n %{project}-plugins
%{summary}.


%prep
%setup -qn%{project}-r%{svn_revision}


%build
# Keep the debuginfo.
sed -i '/strip/d' build.sh
sh ./build.sh all qt


%install
# .zdli is generated by beta targed. Not sure what is the difference.
# http://%{project}.sf.net/mantisbt/view.php?id=963
sed -i '/\.zdli/d' install/linux/install.sh
install/linux/install.sh --install-prefix=%{buildroot}
find %{buildroot}%{_libdir}/%{project}/plugins -name '*.w?x' -exec chmod 0755 {} \;
pushd %{buildroot}%{_libdir}/%{project}
rm -r doc language pixmaps
mv pixmaps.txt %{buildroot}%{_datadir}/%{project}
popd


%files
%license doc/COPYING*
%doc doc/README*
%{_libdir}/%{project}/%{project}*
%{_libdir}/%{project}/multiarc.ini
%{_libdir}/%{project}/scripts/
%{_bindir}/%{project}
%{_datadir}/pixmaps/%{project}.*
%{_datadir}/applications/%{project}.desktop
%doc %{_mandir}/man1/*

%files -n %{project}-data
%{_datadir}/%{project}/

%files -n %{project}-plugins
%{_libdir}/%{project}/plugins/


%changelog
* Fri Apr 03 2015 Raphael Groner <projects.rg@smart.ms> - 0.6.1-1.20150402svn5941
- rev 5941
- build with qt4
- minor cleanup to spec file

* Mon Dec 01 2014 Vít Ondruch <vondruch@redhat.com> - 0.6.0-0.svn5681
- Revision 5681.

* Mon Feb 03 2014 Vít Ondruch <vondruch@redhat.com> - 0.6.0-0.svn5447
- Revision 5447.

* Mon Jul 15 2013 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn5256
- Revision 5256.

* Wed May 15 2013 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn5205
- Revision 5205.

* Mon Sep 17 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4969
- Revision 4969.

* Mon Jul 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4912
- Revision 4912.

* Thu Feb 23 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4690
- Revision 4690.

* Thu Feb 23 2012 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4304
- Revision 4304.

* Tue Nov 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn4036
- Revision 4036.

* Wed Aug 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn3836
- Revision 3836.

* Fri Jun 17 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.5-1.svn3643
- Version 0.5.5
- Revision 3643.

* Tue May 24 2011 Vít Ondruch <vondruch@redhat.com> - 0.4.6-2
- Revision 3617.

* Fri Jun 11 2010 - Alexander Koblov <Alexx2000@mail.ru>
- Initial package, version 0.4.6
